function J = calculateJ_ineq(NP,xJ,uJ,x_target,u_target,Wxx,Wuu,Wtxx,Wtuu,alpha,T,S,TE,Jkind,threshold_input,beta,reduced,control_zeros)
%calculate objective function value (J)
xJ=xJ';
uJ=uJ';

% if (reduced==1)
%     xJ_reduced=zeros(size(control_zeros,1),T-S+1);
%     for i=1:size(control_zeros,1)
%         xJ_reduced(i,:) = xJ(control_zeros(i),:);
%     end
%     xJ=xJ_reduced;
% end

n=size(xJ,1);
m=size(uJ,1);
xMxtarget=zeros(n,T-S+1);
uMutarget=zeros(m,T-S+1);

Jx=zeros(1,NP);
Ju=zeros(1,NP);
J=zeros(1,NP+1);
sumJ=0;

for player=1:NP
    xtarget=x_target(:,:,player)';
    utarget=u_target(:,:,player)';
    
    for i=1:n
        xMxtarget(i,:) = xJ(i,:) - xtarget(i,:);
    end
    for j=1:m
        uMutarget(j,:) = uJ(j,:) - utarget(j,:);
    end
    
    if Jkind == 1; %different ways for calculating J; 0 - standard, 1 - including threshold
        if beta==0
            beta = sqrt(0.1);%default value if not specified by the user
        end
        
        %%create thresholds for each x,u using the (n+m)-vector threshold_input
        
        for t=1:T-S+1
            for i=1:n
                if ((threshold_input(i,1) ~= 0) & (xtarget(i,t)-xJ(i,t))>0)
                    if sum(xtarget(i,:))==0 & abs(xtarget(i,t)-xJ(i,t)) < abs(threshold_input(i,1))
                        xMxtarget(i,t) = beta*xMxtarget(i,t);
                    elseif abs(xtarget(i,t)-xJ(i,t)) < abs(xtarget(i,t)*threshold_input(i,1))
                        xMxtarget(i,t) = beta*xMxtarget(i,t);
                    end
                end
                if ((threshold_input(i,2) ~= 0) & (xtarget(i,t)-xJ(i,t))<0)
                    if sum(xtarget(i,:))==0 & abs(xJ(i,t)-xtarget(i,t)) < abs(threshold_input(i,2))
                        xMxtarget(i,t) = beta*xMxtarget(i,t);
                    elseif abs(xJ(i,t)-xtarget(i,t)) < abs(threshold_input(i,2)*xtarget(i,t))
                        xMxtarget(i,t) = beta*xMxtarget(i,t);
                    end
                end
            end
            for j=1:m
                if ((threshold_input(n+j,1) ~= 0) & (utarget(j,t)-uJ(j,t))>0)
                    if sum(utarget(j,:))==0 & abs(utarget(j,t)-uJ(j,t)) < abs(threshold_input(n+j,1))
                        uMutarget(j,t) = beta*uMutarget(j,t);
                    elseif abs(utarget(j,t)-uJ(j,t)) < abs(utarget(j,t)*threshold_input(n+j,1))
                        uMutarget(j,t) = beta*uMutarget(j,t);
                    end
                end
                if ((threshold_input(n+j,2) ~= 0) & (utarget(j,t)-uJ(j,t))<0)
                    if sum(utarget(j,:))==0 & abs(uJ(j,t)-utarget(j,t)) < abs(threshold_input(n+j,2))
                        uMutarget(j,t) = beta*uMutarget(j,t);
                    elseif abs(uJ(j,t)-utarget(j,t)) < abs(threshold_input(n+j,2)*utarget(j,t))
                        uMutarget(j,t) = beta*uMutarget(j,t);
                    end
                end
            end
        end
        
    end
    
    
    Jx(1,player)=0;
    for t=1:T-S+1
        if sum(t==TE)>0 %especial cases (for example higher weights Wtxx in the last period)
            Jx(1,player) = Jx(1,player) + 0.5*xMxtarget(:,t)'*Wtxx(:,:,player)/alpha^(S-1+t-1)*xMxtarget(:,t);
        else
            Jx(1,player) = Jx(1,player) + 0.5*xMxtarget(:,t)'*Wxx(:,:,player)/alpha^(S-1+t-1)*xMxtarget(:,t);
        end
    end
    
    Ju(1,player)=0;
    for t=1:T-S+1
        if sum(t==TE)>0 %if t==TE %especial cases (for example higher weights Wtuu in the last period)
            Ju(1,player) = Ju(1,player) + 0.5*uMutarget(:,t)'*Wtuu(:,:,player)/alpha^(S-1+t-1)*uMutarget(:,t);
        elseif uJ(1,t)<0 
            Ju(1,player) = Ju(1,player) + 0.5*uMutarget(:,t)'*Wtuu(:,:,player)/alpha^(S-1+t-1)*uMutarget(:,t);    
        else
            Ju(1,player) = Ju(1,player) + 0.5*uMutarget(:,t)'*Wuu(:,:,player)/alpha^(S-1+t-1)*uMutarget(:,t);
        end
    end
    
    %     Jux=0;
    %     if rank(Wux)>0
    %         for t=1:T-S+1
    %             Jux = Jux + 0.5*uMutarget(:,t)'*Wux*alpha^(t-1)*xMxtarget(:,t);
    %         end
    %     end
    J(1,player) = Jx(1,player) + Ju(1,player);
    sumJ=sumJ+J(1,player);
    
end

% Jxu=0;
% Jxu=Jux;


J(1,NP+1) = sumJ;