function [nP,nG,initV,delta,c1,c2,PM,neigDE] = calibrated_inputPSO(fname,Jkind,u_start,u_OPTGAME,player)
%define calibrated inputs for different models

%default
nP=10;       %population size
nG=1000;     %number of generations
initV=1;     %initial velocity
delta=0.02;  %inertia
c1=1.0;      %c1+c2<=4!
c2=2.0;
PM=0.025;    %probability to mutate
DEconvergCrit = [1.000001 0.3 100 0.5];
neigDE=(max(u_start)-min(u_start))./(2*mean(u_start));%different deviations according to niveau of variable
for i=1:size(u_start,2);
    if  strcmpi(fname, 'slopol4') == 1                                     % (neigDE(i)==0) i.e. we apply to the entire slopol4
        neigDE(i)= max(u_start(:,i)-u_OPTGAME(:,i))/mean(u_start(:,i));
    end
end
% if  strcmpi(fname, 'mumod1') == 1
%     neigDE=(max(u_OPTGAME)-min(u_OPTGAME))./(2*mean(u_OPTGAME));    %different deviations according to niveau of OPTGAME solution
% end
for i=1:size(u_start,2);
    if  strcmpi(fname, 'mumod1') == 1                                     % (neigDE(i)==0) i.e. we apply to the entire slopol4
        neigDE(1,i)= min(u_OPTGAME(:,i));
        neigDE(2,i)= max(u_OPTGAME(:,i));
    end
end


if strncmpi(fname, 'mumod',5) == 1
    if Jkind == 0
        nP=3;       %population size
        nG=100;     %number of generations
        initV=1;     %initial velocity
        delta=0.01;  %inertia
        c1=1.0;      %c1+c2<=4!
        c2=2.0;
        PM=1;    %average number of elements to mutate
    elseif Jkind == 1 || Jkind == 2
        nP=10;       %population size
        nG=15;     %number of generations
        initV=1;     %initial velocity
        delta=0.05;  %inertia
        c1=1.0;      %c1+c2<=4!
        c2=2.0;
        PM=0.025;    %probability to mutate
    end
end


if strcmpi(fname, 'slovnl') == 1
    if Jkind == 0
        nP=10;       %population size
        nG=100;     %number of generations
        initV=1;     %initial velocity
        delta=0.01;  %inertia
        c1=1.0;      %c1+c2<=4!
        c2=2.0;
        PM=0.025;    %probability to mutate
    elseif Jkind == 1
        nP=10;       %population size
        nG=150;     %number of generations
        initV=1;     %initial velocity
        delta=0.05;  %inertia
        c1=1.0;      %c1+c2<=4!
        c2=2.0;
        PM=0.025;    %probability to mutate
    end
end
% 
% if strcmpi(fname, 'slopol8') == 1
%     if Jkind == 0
%        F_DE=0.4;                                     %0.4
%        CR_DE=0.6;                                    %0.3
%        Pop_DE=15; %*state variables+1 10
%        DEmaxit = 1500;               % 750
%     elseif Jkind == 1
%        F_DE=0.2;                                     %0.3
%        CR_DE=0.7;                                    %0.3
%        Pop_DE=50; %*state variables+1
%        DEmaxit = 1500;   %can be potentially reduced to 1300
%     end
% end
% 
% if strcmpi(fname, 'slopol4') == 1
%     if Jkind == 0
%        F_DE=0.4; %     0.4(15)? 0.3
%        CR_DE=0.7;%6    0.7?(15) 0.6
%        Pop_DE=15; %*state variables+1%30
%        DEmaxit = 5000;%3000
%     elseif Jkind == 1
%        F_DE=0.3;
%        CR_DE=0.7;  %0.3
%        Pop_DE=50; %*state variables+1
%        DEmaxit = 2000;   %1500
%     end
% end