function [label_time] = plot_results10(fname,x,u,x_names,u_names,plotMethod,numPM,pcn,psn)
close;
if strcmpi(fname, 'slovnl') == 1
    label_time={'04q1','04q2','04q3','04q4','05q1','05q2','05q3','05q4','06q1','06q2','06q3','06q4'};
    label_range=1:1:12;
end

if strcmpi(fname, 'slopol4') == 1
    label_time={'','2002','','','','2003','','','','2004','','','','2005','','','','2006','','','','2007','',''};
    label_range=1:1:24;
end

if strcmpi(fname, 'slopol8') == 1
    %label_time={'08q1','08q2','08q3','08q4','09q1','09q2','09q3','09q4','10q1','10q2','10q3','10q4','11q1','11q2','11q3','11q4','12q1','12q2','12q3','12q4','13q1','13q2','13q3','13q4','14q1','14q2','14q3','14q4','15q1','15q2','15q3','15q4'};
    label_time={'','2008','','','','2009','','','','2010','','','','2011','','','','2012','','','','2013','','','','2014','','','','2015','',''};
    label_range=1:1:32;
end

if strcmpi(fname, 'mumod1') == 1
    %label_time={'','2004','','','','2005','','','','2006','',''};
    %label_range=1:1:12;
    sr = 6; sc = 2; %subplot dimension for states
    cr = 3; cc = 1; %subplot dimension for controls
    %label_time=1:2:30;
    %label_range=1:2:30;
    %label_time={'2008','','2010','','2012','','2014','','2016','','2018','','2020','','2022','','2024','','2026','','2028','','2030','','2032','','2034','','2036',''};
    label_time={'2008','','','','2012','','','','2016','','','','2020','','','','2024','','','','2028','','','','2032','','','','2036',''};
    label_range=1:1:30;
end



if pcn>0
    grid on
    grid(gca);
    set(gca,'YGrid','on');
    j=1;
    plot(u(:,pcn,j),':bx', 'MarkerSize',7,'LineWidth',1.2);hold on;
    j=j+1;
    if j<=numPM
        plot(u(:,pcn,j),'-rs', 'MarkerSize',5,'LineWidth',1.1);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),'--kp', 'MarkerSize',6,'LineWidth',1.2);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),'-.gd', 'MarkerSize',6);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),'-mo', 'MarkerSize',5);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),':c*', 'MarkerSize',5);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),'--yh', 'MarkerSize',5);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),'-.bo', 'MarkerSize',5);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),'-r+', 'MarkerSize',5);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(u(:,pcn,j),':k>', 'MarkerSize',5);hold on;
        j=j+1;
    end
    %xlim([1 size(label_range,2)]);
    xlim([1 size(x,1)]);
    %ylim([-5 0.5]);
    ylabel(u_names(pcn),'FontSize', 14);
    %xlabel('period','FontSize', 12);
    set(gca,'YGrid','on');
    set(gca,'XTick',label_range);
    set(gca,'XTickLabel',label_time);
    set(gcf, 'Color', 'w');
    h = legend(plotMethod,4);
    set(h,'Interpreter','none','FontSize',12);
end
%pause

if psn>0
    grid on
    grid(gca);
    set(gca,'YGrid','on');
    j=1;
    plot(x(:,psn,j),':bx', 'MarkerSize',7,'LineWidth',1.2);hold on;
    j=j+1;
    if j<=numPM
        plot(x(:,psn,j),'-rs', 'MarkerSize',5,'LineWidth',1.1);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(x(:,psn,j),'--kp', 'MarkerSize',6,'LineWidth',1.2);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(x(:,psn,j),'-.gd', 'MarkerSize',6);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(x(:,psn,j),'-mo', 'MarkerSize',5);hold on;
        j=j+1;
    end
    if j<=numPM
        plot(x(:,psn,j),':c*', 'MarkerSize',5);hold on;
        j=j+1;
    end
    %xlim([1 size(label_range,2)]);
    xlim([1 size(x,1)]);
    %ylim([0 3]);
    ylabel(x_names(psn),'FontSize', 14);
    %xlabel('period','FontSize', 12);
    set(gca,'YGrid','on');
    set(gca,'XTick',label_range);
    set(gca,'XTickLabel',label_time);
    set(gcf, 'Color', 'w');
    h = legend(plotMethod,4);
    set(h,'Interpreter','none','FontSize',12);
end

